﻿using GrapeCity.ActiveReports.Document;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Runtime.Serialization;
using System.Text;
using System.Windows.Forms;

namespace Test_Serializer
{
    public partial class Form1 : Form
    {
        SectionReport1 report = new SectionReport1();
        public Form1()
        {
            InitializeComponent();
            try
            {
               
                report.DataSource = new List<string>();
                report.Run();
                var ser = Serialize<SectionDocument>(report.Document);
            }
            catch (Exception ex)
            {
                var temp = ex;
            }
        }

        public static byte[] Serialize<T>(T data)
        {
            DataContractSerializer serializer = new DataContractSerializer(typeof(T));
            using (MemoryStream memoryStreamSource = new MemoryStream())
            {
                serializer.WriteObject(memoryStreamSource, data);
                using (MemoryStream memoryStreamDestination = new MemoryStream())
                {
                    return memoryStreamDestination.ToArray();
                }
            }
        }
        private void Form1_Load(object sender, EventArgs e)
        {

        }
    }
}
